| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Image
Image.Image

# Method Image.Image()->paste_alpha()

Method paste_alpha

  `object paste_alpha(object image, int alpha)`
  `object paste_alpha(object image, int alpha, int x, int y)`

Description

  Pastes a given image over the current image, with the specified alpha channel value.

  An alpha channel value of 0 leaves nothing of the original image in the paste area, 255 is meaningless and makes the given image invisible.

Parameter `image`

  image to paste

Parameter `alpha`

  alpha channel value

Parameter `x`
Parameter `y`

  where to paste the image; default is 0,0

Returns

  the object called

See also

  paste_mask , paste , paste_alpha_color